[@rxap/material-table-system](../wiki/globals) / TableRowActionMethod

# Type Alias: TableRowActionMethod\<Data\>

> **TableRowActionMethod**\<`Data`\>: [`TableRowActionTypeSwitchMethod`](../wiki/TypeAlias.TableRowActionTypeSwitchMethod)\<`Data`\> \| [`TableRowActionTypeMethod`](../wiki/TypeAlias.TableRowActionTypeMethod)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/types.ts:16](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/types.ts#L16)

## Type Parameters

• **Data** = `any`
